curl --request POST \
--url https://api.hubapi.com/scheduler/v3/meetings/meeting-links/book \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"duration": 123,
"email": "<string>",
"firstName": "<string>",
"formFields": [
{
"name": "<string>",
"value": "<string>"
}
],
"lastName": "<string>",
"legalConsentResponses": [
{
"communicationTypeId": "<string>",
"consented": true
}
],
"likelyAvailableUserIds": [
"<string>"
],
"slug": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"locale": "<string>",
"timezone": "<string>"
}
'{
"bookingTimezone": "<string>",
"calendarEventId": "<string>",
"contactId": "<string>",
"duration": 123,
"end": "2023-11-07T05:31:56Z",
"formFields": [
{
"isCustom": true,
"label": "<string>",
"name": "<string>",
"value": "<string>",
"fieldType": "<string>",
"translatedLabel": "<string>",
"valueLabel": "<string>"
}
],
"guestEmails": [
"<string>"
],
"isOffline": true,
"legalConsentResponses": [
{
"communicationTypeId": "<string>",
"consented": true
}
],
"start": "2023-11-07T05:31:56Z",
"subject": "<string>",
"locale": "<string>",
"location": "<string>",
"webConferenceMeetingId": "<string>",
"webConferenceUrl": "<string>"
}指定されたミーティングページのミーティングを予約します。
curl --request POST \
--url https://api.hubapi.com/scheduler/v3/meetings/meeting-links/book \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"duration": 123,
"email": "<string>",
"firstName": "<string>",
"formFields": [
{
"name": "<string>",
"value": "<string>"
}
],
"lastName": "<string>",
"legalConsentResponses": [
{
"communicationTypeId": "<string>",
"consented": true
}
],
"likelyAvailableUserIds": [
"<string>"
],
"slug": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"locale": "<string>",
"timezone": "<string>"
}
'{
"bookingTimezone": "<string>",
"calendarEventId": "<string>",
"contactId": "<string>",
"duration": 123,
"end": "2023-11-07T05:31:56Z",
"formFields": [
{
"isCustom": true,
"label": "<string>",
"name": "<string>",
"value": "<string>",
"fieldType": "<string>",
"translatedLabel": "<string>",
"valueLabel": "<string>"
}
],
"guestEmails": [
"<string>"
],
"isOffline": true,
"legalConsentResponses": [
{
"communicationTypeId": "<string>",
"consented": true
}
],
"start": "2023-11-07T05:31:56Z",
"subject": "<string>",
"locale": "<string>",
"location": "<string>",
"webConferenceMeetingId": "<string>",
"webConferenceUrl": "<string>"
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
ミーティングの所要時間(ミリ秒)。
ミーティングを予約した個人のEメールアドレス。
ミーティングを予約した個人の名。
Show child attributes
ミーティングを予約した個人の姓。
Show child attributes
ミーティングページの固有経路ID。
ミーティングの開始が予定されている日時(ISO 8601形式)。
ミーティング予約で日時の書式設定に使用されるロケール。
ミーティングがスケジュールされているタイムゾーン。
successful operation
ミーティングが予約されたタイムゾーン。
ミーティングのカレンダーイベントの固有ID。
ミーティングに関連付けられているコンタクトのID。
ミーティングの所要時間(ミリ秒)。
ミーティングの終了が予定されている日時(ISO 8601形式)。
Show child attributes
ミーティングがオフラインで予約され、関連付けられたカレンダーイベントが作成されていないかどうか。
Show child attributes
ミーティングの開始が予定されている日時(ISO 8601形式)。
ミーティングとカレンダーイベントのタイトル。
ミーティングの予約に使用されたロケール。カレンダーイベントの説明での日付の書式設定の決定に使用されます。
ミーティングが行われる場所の住所またはオンラインの場所。
ウェブ会議ミーティングの固有ID。
ミーティングのウェブ会議にアクセスするためのURL。